using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace INT63DC_6CH.DialogForms
{
    public partial class DialogFormPasswordKeyPad1 : Form
    {
        #region Field
        private string m_InputKey;
        private string m_PassKey;    
        #endregion

        #region Constructor
        public DialogFormPasswordKeyPad1(DataStore.E_LanguageID language)
        {
            InitializeComponent();

            this.InitializeDesign(language);
        }
        #endregion

        #region Property
        public string InputKey
        {
            get { return this.m_InputKey; }
            set { this.m_InputKey = value; }
        }
        public string PassKey
        {
            get { return this.m_PassKey; }
            set { this.m_PassKey = value; }
        }
        #endregion

        #region Method
        private void InputNum(string key)
        {
            if (this.InputKey.Length >= 4)
            {
                this.InputKey = key;
                this.labelScreen.Text = this.InputKey;
            }
            else
            {
                this.InputKey += key;
                this.labelScreen.Text = this.InputKey;
            }
        }

        private void InitializeDesign(DataStore.E_LanguageID language)
        {
            if (language == DataStore.E_LanguageID.Chinese)
            {
                this.labelSubject.Text = "密码";

                this.buttonCancel.Text = "取消";
                this.buttonEnter.Text = "确认";
            }
            else if (language == DataStore.E_LanguageID.Czech)
            {
                this.labelSubject.Text = "Klávesnice";

                this.buttonCancel.Text = "Zrušit";
                this.buttonEnter.Text = "Enter";
            }
            else if (language == DataStore.E_LanguageID.German)
            {
                this.labelSubject.Text = "Passwort";

                this.buttonCancel.Text = "X";
                this.buttonEnter.Text = "Enter";
            }
            else if (language == DataStore.E_LanguageID.Japanese)
            {
                this.labelSubject.Text = "パスワㅡド";

                this.buttonCancel.Text = "X";
                this.buttonEnter.Text = "入力";
            }
            else
            {

            }
        }
        private void InitializeContnrol()
        {
            int x = 0, y = 0;

            x = Screen.PrimaryScreen.Bounds.Width / 2 - this.Size.Width / 2;
            y = Screen.PrimaryScreen.Bounds.Height / 2 - this.Size.Height / 2;

            this.Location = new Point(x, y);

            this.Size = new Size(250, 390);

            this.InputKey = "";
            this.labelScreen.Text = "";
        }
        #endregion

        #region Override Member
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.InitializeContnrol();
        }
        #endregion

        #region Event Handler
        private void buttonEnter_Click(object sender, EventArgs e)
        {
            if (this.labelScreen.Text.Length == 4)
            {
                this.DialogResult = DialogResult.OK;
            }
        }

        private void buttonNumber_Click(object sender, EventArgs e)
        {
            Button bt = sender as Button;

            if (bt == null)
                return;

            if (bt == this.buttonNumber0)
                this.InputNum("0");
            else if (bt == this.buttonNumber1)
                this.InputNum("1");
            else if (bt == this.buttonNumber2)
                this.InputNum("2");
            else if (bt == this.buttonNumber3)
                this.InputNum("3");
            else if (bt == this.buttonNumber4)
                this.InputNum("4");
            else if (bt == this.buttonNumber5)
                this.InputNum("5");
            else if (bt == this.buttonNumber6)
                this.InputNum("6");
            else if (bt == this.buttonNumber7)
                this.InputNum("7");
            else if (bt == this.buttonNumber8)
                this.InputNum("8");
            else if (bt == this.buttonNumber9)
                this.InputNum("9");
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
        #endregion
    }
}